Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.image.loader.batik
Class PreloaderWMF

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader
          org.apache.fop.image.loader.batik.PreloaderWMF

All Implemented Interfaces:
  org.apache.xmlgraphics.image.loader.spi.ImagePreloader

    public class PreloaderWMF

extends org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader

Image preloader for WMF images (Windows Metafile).

Field Summary

Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImagePreloader
`DEFAULT_PRIORITY`

Constructor Summary
`PreloaderWMF()`

Method Summary
`org.apache.xmlgraphics.image.loader.ImageInfo` | `preloadImage(java.lang.String uri, javax.xml.transform.Source src, org.apache.xmlgraphics.image.loader.ImageContext context)`

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImagePreloader
`getHeader, getPriority`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreloaderWMF

    public PreloaderWMF()

Method Detail

### preloadImage

    public org.apache.xmlgraphics.image.loader.ImageInfo preloadImage(java.lang.String uri,
                                                                      javax.xml.transform.Source src,
                                                                      org.apache.xmlgraphics.image.loader.ImageContext context)
                                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.